searchNodes=[{"doc":"Documentation for Exisbn .","ref":"Exisbn.html","title":"Exisbn","type":"module"},{"doc":"Takes an ISBN (10 or 13) and checks its validity by its check digit Examples iex&gt; Exisbn . checkdigit_correct? ( &quot;85-359-0277-5&quot; ) true iex&gt; Exisbn . checkdigit_correct? ( &quot;978-5-12345-678-1&quot; ) true iex&gt; Exisbn . checkdigit_correct? ( &quot;978-5-12345-678&quot; ) false","ref":"Exisbn.html#checkdigit_correct?/1","title":"Exisbn.checkdigit_correct?/1","type":"function"},{"doc":"Checks if an ISBN (10 or 13) code is correctly hyphenated. If ISBN incorrect, that count as no. Examples iex&gt; Exisbn . correctly_hyphenated? ( &quot;978-85-359-0277-8&quot; ) true iex&gt; Exisbn . correctly_hyphenated? ( &quot;97-8853590277-8&quot; ) false iex&gt; Exisbn . correctly_hyphenated? ( &quot;0-306-40615-2&quot; ) true iex&gt; Exisbn . correctly_hyphenated? ( &quot;03-064-06152&quot; ) false iex&gt; Exisbn . correctly_hyphenated? ( &quot;str&quot; ) false","ref":"Exisbn.html#correctly_hyphenated?/1","title":"Exisbn.correctly_hyphenated?/1","type":"function"},{"doc":"Takes an ISBN and returns its checkdigit. Examples iex&gt; Exisbn . fetch_checkdigit ( &quot;9788535902778&quot; ) 8 iex&gt; Exisbn . fetch_checkdigit ( &quot;2-1234-5680-2&quot; ) 2 iex&gt; Exisbn . fetch_checkdigit ( &quot;str&quot; ) nil","ref":"Exisbn.html#fetch_checkdigit/1","title":"Exisbn.fetch_checkdigit/1","type":"function"},{"doc":"Takes an ISBN and returns its prefix. Examples iex&gt; Exisbn . fetch_prefix ( &quot;9788535902778&quot; ) &quot;978-85&quot; iex&gt; Exisbn . fetch_prefix ( &quot;2-1234-5680-2&quot; ) &quot;978-2&quot; iex&gt; Exisbn . fetch_prefix ( &quot;str&quot; ) nil","ref":"Exisbn.html#fetch_prefix/1","title":"Exisbn.fetch_prefix/1","type":"function"},{"doc":"Takes an ISBN and returns its publication element. Examples iex&gt; Exisbn . fetch_publication_element ( &quot;978-1-86197-876-9&quot; ) &quot;876&quot; iex&gt; Exisbn . fetch_publication_element ( &quot;9789529351787&quot; ) &quot;5178&quot; iex&gt; Exisbn . fetch_publication_element ( &quot;str&quot; ) nil","ref":"Exisbn.html#fetch_publication_element/1","title":"Exisbn.fetch_publication_element/1","type":"function"},{"doc":"","ref":"Exisbn.html#fetch_ranges/1","title":"Exisbn.fetch_ranges/1","type":"function"},{"doc":"Takes an ISBN and returns its registrant element. Examples iex&gt; Exisbn . fetch_registrant_element ( &quot;9788535902778&quot; ) &quot;359&quot; iex&gt; Exisbn . fetch_registrant_element ( &quot;978-1-86197-876-9&quot; ) &quot;86197&quot; iex&gt; Exisbn . fetch_registrant_element ( &quot;9789529351787&quot; ) &quot;93&quot; iex&gt; Exisbn . fetch_registrant_element ( &quot;str&quot; ) nil","ref":"Exisbn.html#fetch_registrant_element/1","title":"Exisbn.fetch_registrant_element/1","type":"function"},{"doc":"Takes an ISBN (10 or 13) and hyphenates it. Examples iex&gt; Exisbn . hyphenate ( &quot;9788535902778&quot; ) &quot;978-85-359-0277-8&quot; iex&gt; Exisbn . hyphenate ( &quot;0306406152&quot; ) &quot;0-306-40615-2&quot; iex&gt; Exisbn . hyphenate ( &quot;str&quot; ) nil","ref":"Exisbn.html#hyphenate/1","title":"Exisbn.hyphenate/1","type":"function"},{"doc":"Takes an ISBN 10 and hyphenates it. Examples iex&gt; Exisbn . hyphenate_isbn10 ( &quot;0306406152&quot; ) &quot;0-306-40615-2&quot; iex&gt; Exisbn . hyphenate_isbn10 ( &quot;str&quot; ) nil","ref":"Exisbn.html#hyphenate_isbn10/1","title":"Exisbn.hyphenate_isbn10/1","type":"function"},{"doc":"Takes an ISBN 13 and hyphenates it. Examples iex&gt; Exisbn . hyphenate_isbn13 ( &quot;978-1-86197-876-9&quot; ) &quot;978-1-86197-876-9&quot; iex&gt; Exisbn . hyphenate_isbn13 ( &quot;9788535902778&quot; ) &quot;978-85-359-0277-8&quot; iex&gt; Exisbn . hyphenate_isbn13 ( &quot;str&quot; ) nil","ref":"Exisbn.html#hyphenate_isbn13/1","title":"Exisbn.hyphenate_isbn13/1","type":"function"},{"doc":"Takes an ISBN 10 code as string, returns its check digit. Examples iex&gt; Exisbn . isbn10_checkdigit ( &quot;85-359-0277&quot; ) 5 iex&gt; Exisbn . isbn10_checkdigit ( &quot;5-02-013850&quot; ) 9 iex&gt; Exisbn . isbn10_checkdigit ( &quot;0str&quot; ) nil","ref":"Exisbn.html#isbn10_checkdigit/1","title":"Exisbn.isbn10_checkdigit/1","type":"function"},{"doc":"Takes an ISBN 10 and converts it to ISBN 13. Examples iex&gt; Exisbn . isbn10_to_13 ( &quot;85-359-0277-5&quot; ) &quot;9788535902778&quot; iex&gt; Exisbn . valid? ( &quot;9788535902778&quot; ) true iex&gt; Exisbn . isbn10_to_13 ( &quot;0306406152&quot; ) &quot;9780306406157&quot; iex&gt; Exisbn . valid? ( &quot;9780306406157&quot; ) true iex&gt; Exisbn . isbn10_to_13 ( &quot;0-19-853453123&quot; ) nil","ref":"Exisbn.html#isbn10_to_13/1","title":"Exisbn.isbn10_to_13/1","type":"function"},{"doc":"Takes an ISBN 13 code as string, returns its check digit. Examples iex&gt; Exisbn . isbn13_checkdigit ( &quot;978-5-12345-678&quot; ) 1 iex&gt; Exisbn . isbn13_checkdigit ( &quot;978-0-306-40615&quot; ) 7 iex&gt; Exisbn . isbn13_checkdigit ( &quot;0str&quot; ) nil","ref":"Exisbn.html#isbn13_checkdigit/1","title":"Exisbn.isbn13_checkdigit/1","type":"function"},{"doc":"Takes an ISBN 13 and converts it to ISBN 10. Examples iex&gt; Exisbn . isbn13_to_10 ( &quot;9788535902778&quot; ) &quot;8535902775&quot; iex&gt; Exisbn . valid? ( &quot;8535902775&quot; ) true iex&gt; Exisbn . isbn13_to_10 ( &quot;9780306406157&quot; ) &quot;0306406152&quot; iex&gt; Exisbn . valid? ( &quot;0306406152&quot; ) true iex&gt; Exisbn . isbn13_to_10 ( &quot;str&quot; ) nil","ref":"Exisbn.html#isbn13_to_10/1","title":"Exisbn.isbn13_to_10/1","type":"function"},{"doc":"Takes an ISBN and returns its publisher zone. Examples iex&gt; Exisbn . publisher_zone ( &quot;9788535902778&quot; ) &quot;Brazil&quot; iex&gt; Exisbn . publisher_zone ( &quot;2-1234-5680-2&quot; ) &quot;French language&quot; iex&gt; Exisbn . publisher_zone ( &quot;str&quot; ) nil","ref":"Exisbn.html#publisher_zone/1","title":"Exisbn.publisher_zone/1","type":"function"},{"doc":"Takes an ISBN (10 or 13) and checks its validity by checking the checkdigit, length and characters. Examples iex&gt; Exisbn . valid? ( &quot;978-5-12345-678-1&quot; ) true iex&gt; Exisbn . valid? ( &quot;978-5-12345-678-1&quot; ) true iex&gt; Exisbn . valid? ( &quot;978-5-12345-678&quot; ) false iex&gt; Exisbn . valid? ( &quot;85-359-0277-5&quot; ) true iex&gt; Exisbn . valid? ( &quot;85-359-0277&quot; ) false","ref":"Exisbn.html#valid?/1","title":"Exisbn.valid?/1","type":"function"},{"doc":"Regions dataset for internal library use.","ref":"Exisbn.Regions.html","title":"Exisbn.Regions","type":"module"},{"doc":"","ref":"Exisbn.Regions.html#dataset/0","title":"Exisbn.Regions.dataset/0","type":"function"}]